PagedResponseOfContactAtCompany
Paginated response with cursor-based pagination.
- dataType: array object[] · ContactAtCompany[]required
The list of data items for this page.
A contact linked to a company, with relationship metadata. Used by GET /companies/{id}/contacts sub-resource endpoint.
- createdType: stringFormat: date-time
Utc requiredWhen the link was created (UTC).
- idType: stringrequired
Contact ID.
- linkType: string
Id requiredLink ID (the contact-company relationship ID).
- updatedType: stringFormat: date-time
Utc requiredWhen the link was last updated (UTC).
- emailType: null | string
Email address.
- firstType: null | string
Name First name.
- isType: boolean
Primary Whether this company is the contact's primary company.
- jobType: null | string
Title Job title at this company.
- lastType: null | string
Name Last name.
- uriType: null | string
Opaque canonical Propstreet entity URI for deep linking.
- pageType: object · PageInforequired
Pagination metadata.
- hasType: boolean
More requiredTrue if there are more results available after this page.
- pageType: integer | string
Size Pattern: ^-?(?:0|[1-9]\d*)$Format: int32requiredNumber of items requested per page.
- nextType: null | string
Cursor Opaque cursor string to fetch the next page of results. Null if there are no more results.